#include <bits/stdc++.h>

using namespace std;


int brojcifara(int i)
{
    return i > 0 ? (int) log10 ((double) i) + 1 : 1;
}

int main(){
 int prvi, drugi, treci, maxx, krajnji;
 bool bu;
 bu = true;
 int A, B, C;
 scanf("%d%d%d", &A, &B, &C);
 if(A == 0 && B == 0 && C == 0){
    printf("0");
    return 0;
 }
 int n,br;
 n = brojcifara(A);
 int A1[n];
 br = A;
 int i,c;
 int q;

  for(i = n-1; i >= 0 ; i--){
    A1[i] = br % 10;
    br /= 10;

  }

 int n1;
 n1 = brojcifara(B);
 int B1[n1];
 br = B;

  for(i = n1-1; i >= 0; i--){
    B1[i] = br % 10;
    br /= 10;
  }


  int n2;
  n2 = brojcifara(C);
  int C1[n2];
  br = C;

  for(i = n2 - 1; i >= 0; i--){
    C1[i] = br % 10;
    br /= 10;
  }

  int i1, i2 , i3;
  i1 = 0;
  i2 = 0;
  i3 = 0;
  maxx = n;
  if(maxx < n1) maxx = n1;
  if(maxx < n2) maxx = n2;
  for(i = 0; i < maxx; i++){
   if(i1 == n) i1 = 0;
   if(i2 == n1) i2 = 0;
   if(i3 == n2) i3 = 0;



   if(A1[i1] >  B1[i2] && A1[i1] > C1[i3])
   {
    prvi = A;
    bu = false;
    break;
   }

   if(B1[i2] >  A1[i1] && B1[i2] > C1[i3])
   {
    prvi = B;
    bu = false;
    break;
   }

   if(C1[i3] >  B1[i2] && C1[i3] > A1[i1])
   {
    prvi = C;
    bu = false;
    break;
   }
    i1++;
    i2++;
    i3++;
  }
  if(bu == true){
    prvi = A;
    drugi = B;
    treci = C;
    printf("%d%d%d",prvi, drugi, treci);
    return 0;
  }

  bu = true;
  if(prvi == A){
    maxx = n1;
    if(maxx < n2) maxx = n2;
    i2 = 0;
    i3 = 0;
    for(i = 0; i < maxx; i++){
     if(i2 == n1) i2 = 0;
     if(i3 == n2) i3 = 0;

     if(B1[i2] > C1[i3]){
      drugi = B;
      treci = C;
      printf("%d%d%d",prvi, drugi, treci);
      return 0;
      bu = false;
      break;
     }
     if(C1[i3] > B1[i2]){
      drugi = C;
      treci = B;
      printf("%d%d%d",prvi, drugi, treci);
      return 0;
      bu = false;
      break;
     }

     i2++;
     i3++;
    }
   if(bu == true){
    drugi = B;
    treci = C;
    printf("%d%d%d",prvi, drugi, treci);
    return 0;
  }

  }

   if(prvi == B){
    maxx = n;
    if(maxx < n2) maxx = n2;
    i1 = 0;
    i3 = 0;
    for(i = 0; i < maxx; i++){
     if(i1 == n) i1 = 0;
     if(i3 == n2) i3 = 0;

     if(A1[i1] > C1[i3]){
      drugi = A;
      treci = C;
      printf("%d%d%d",prvi, drugi, treci);
      return 0;
      bu = false;
      break;
     }
     if(C1[i3] > A1[i1]){
      drugi = C;
      treci = A;
      printf("%d%d%d",prvi, drugi, treci);
      return 0;
      bu = false;
      break;
     }

     i1++;
     i3++;
    }
   if(bu == true){
    drugi = A;
    treci = C;
    printf("%d%d%d",prvi, drugi, treci);
    return 0;
  }

  }

  if(prvi == C){
    maxx = n;
    if(maxx < n2) maxx = n2;
    i1 = 0;
    i2 = 0;
    for(i = 0; i < maxx; i++){

     if(i1 == n) i1 = 0;
     if(i2 == n1) i2 = 0;
     if(A1[i1] > B1[i2]){
      drugi = A;
      treci = B;
      printf("%d%d%d",prvi, drugi, treci);
      return 0;
      bu = false;
      break;
     }
     if(B1[i2] > A1[i1]){
      drugi = B;
      treci = A;
      printf("%d%d%d",prvi, drugi, treci);
      return 0;
      bu = false;
      break;
     }

     i1++;
     i2++;
    }
   if(bu == true){
    drugi = A;
    treci = B;
    printf("%d%d%d",prvi, drugi, treci);
    return 0;
  }

  }



}